Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface StrucDocTbody

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  StrucDocTbodyImpl

    public interface StrucDocTbody

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Struc Doc Tbody'.

The following features are supported:

- `Group`
- `Tr`
- `Align`
- `Char`
- `Charoff`
- `ID`
- `Language`
- `Style Code`
- `Valign`

See Also:
  `CDAR2Package.getStrucDocTbody()`

Method Summary
`AlignType` | `getAlign()` Returns the value of the 'Align' attribute.
`java.lang.String` | `getChar()` Returns the value of the 'Char' attribute.
`java.lang.String` | `getCharoff()` Returns the value of the 'Charoff' attribute.
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()` Returns the value of the 'Group' attribute list.
`java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
`java.lang.String` | `getLanguage()` Returns the value of the 'Language' attribute.
`java.util.List` | `getStyleCode()` Returns the value of the 'Style Code' attribute.
`org.eclipse.emf.common.util.EList` | `getTr()` Returns the value of the 'Tr' containment reference list.
`ValignType6` | `getValign()` Returns the value of the 'Valign' attribute.
`boolean` | `isSetAlign()` Returns whether the value of the '`Align`' attribute is set.
`boolean` | `isSetValign()` Returns whether the value of the '`Valign`' attribute is set.
`void` | `setAlign(AlignType value)` Sets the value of the '`Align`' attribute.
`void` | `setChar(java.lang.String value)` Sets the value of the '`Char`' attribute.
`void` | `setCharoff(java.lang.String value)` Sets the value of the '`Charoff`' attribute.
`void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
`void` | `setLanguage(java.lang.String value)` Sets the value of the '`Language`' attribute.
`void` | `setStyleCode(java.util.List value)` Sets the value of the '`Style Code`' attribute.
`void` | `setValign(ValignType6 value)` Sets the value of the '`Valign`' attribute.
`void` | `unsetAlign()` Unsets the value of the '`Align`' attribute.
`void` | `unsetValign()` Unsets the value of the '`Valign`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroup

    org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Returns the value of the 'Group' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Group' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `CDAR2Package.getStrucDocTbody_Group()`

### getTr

    org.eclipse.emf.common.util.EList getTr()

  Returns the value of the 'Tr' containment reference list. The list contents are of type `StrucDocTr`.

  If the meaning of the 'Tr' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tr' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTbody_Tr()`

### getAlign

    AlignType getAlign()

  Returns the value of the 'Align' attribute. The default value is `"left"`. The literals are from the enumeration `AlignType`.

  If the meaning of the 'Align' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Align' attribute.
  See Also:
    `AlignType`, `isSetAlign()`, `unsetAlign()`, `setAlign(AlignType)`, `CDAR2Package.getStrucDocTbody_Align()`

### setAlign

    void setAlign(AlignType value)

  Sets the value of the '`Align`' attribute.

  Parameters:
    `value` - the new value of the 'Align' attribute.
  See Also:
    `AlignType`, `isSetAlign()`, `unsetAlign()`, `getAlign()`

### unsetAlign

    void unsetAlign()

  Unsets the value of the '`Align`' attribute.

  See Also:
    `isSetAlign()`, `getAlign()`, `setAlign(AlignType)`

### isSetAlign

    boolean isSetAlign()

  Returns whether the value of the '`Align`' attribute is set.

  Returns:
    whether the value of the 'Align' attribute is set.
  See Also:
    `unsetAlign()`, `getAlign()`, `setAlign(AlignType)`

### getChar

    java.lang.String getChar()

  Returns the value of the 'Char' attribute.

  If the meaning of the 'Char' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Char' attribute.
  See Also:
    `setChar(String)`, `CDAR2Package.getStrucDocTbody_Char()`

### setChar

    void setChar(java.lang.String value)

  Sets the value of the '`Char`' attribute.

  Parameters:
    `value` - the new value of the 'Char' attribute.
  See Also:
    `getChar()`

### getCharoff

    java.lang.String getCharoff()

  Returns the value of the 'Charoff' attribute.

  If the meaning of the 'Charoff' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Charoff' attribute.
  See Also:
    `setCharoff(String)`, `CDAR2Package.getStrucDocTbody_Charoff()`

### setCharoff

    void setCharoff(java.lang.String value)

  Sets the value of the '`Charoff`' attribute.

  Parameters:
    `value` - the new value of the 'Charoff' attribute.
  See Also:
    `getCharoff()`

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `CDAR2Package.getStrucDocTbody_ID()`

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`

### getLanguage

    java.lang.String getLanguage()

  Returns the value of the 'Language' attribute.

  If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Language' attribute.
  See Also:
    `setLanguage(String)`, `CDAR2Package.getStrucDocTbody_Language()`

### setLanguage

    void setLanguage(java.lang.String value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `getLanguage()`

### getStyleCode

    java.util.List getStyleCode()

  Returns the value of the 'Style Code' attribute.

  If the meaning of the 'Style Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Style Code' attribute.
  See Also:
    `setStyleCode(List)`, `CDAR2Package.getStrucDocTbody_StyleCode()`

### setStyleCode

    void setStyleCode(java.util.List value)

  Sets the value of the '`Style Code`' attribute.

  Parameters:
    `value` - the new value of the 'Style Code' attribute.
  See Also:
    `getStyleCode()`

### getValign

    ValignType6 getValign()

  Returns the value of the 'Valign' attribute. The default value is `"top"`. The literals are from the enumeration `ValignType6`.

  If the meaning of the 'Valign' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Valign' attribute.
  See Also:
    `ValignType6`, `isSetValign()`, `unsetValign()`, `setValign(ValignType6)`, `CDAR2Package.getStrucDocTbody_Valign()`

### setValign

    void setValign(ValignType6 value)

  Sets the value of the '`Valign`' attribute.

  Parameters:
    `value` - the new value of the 'Valign' attribute.
  See Also:
    `ValignType6`, `isSetValign()`, `unsetValign()`, `getValign()`

### unsetValign

    void unsetValign()

  Unsets the value of the '`Valign`' attribute.

  See Also:
    `isSetValign()`, `getValign()`, `setValign(ValignType6)`

### isSetValign

    boolean isSetValign()

  Returns whether the value of the '`Valign`' attribute is set.

  Returns:
    whether the value of the 'Valign' attribute is set.
  See Also:
    `unsetValign()`, `getValign()`, `setValign(ValignType6)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD